Ruby - Feature #2784

The formatting options hash passed to the to_yaml methods do nothing.
02/24/2010 04:09 AM - anshul (Anshul Khandelwal)

Status: Closed

Priority: Normal

Assignee: tenderlovemaking (Aaron Patterson)
Target version: 2.0.0

Description

=begin

At the moment, there appears to be no documented way to format the output of the various to_yaml methods. They all accept an
options hash but the documentation does not specify what options may be passed.

Also, the use of to_yaml_style is undocumented.

class Array
def to_yaml_style
:inline
end
end

results in inline formatting of the resulting yaml. This is not documented anywhere but works.
This is further described in [1] and [2].
[1] http://stackoverflow.com/questions/1054730/is-it-possible-to-specify-formatting-options-for-toyaml-in-ruby

[2] http://stackoverflow.com/questions/2156762/how-to-get-the-formatting-options-for-the-to-yaml-method-working-on-ruby-1-9-1
=end

History

#1 - 03/12/2010 10:56 PM - jarl (Jarl Friis)
=begin
Not only is the options hash not documented, it is not working either.

=end

#2 - 04/08/2010 11:23 PM - mame (Yusuke Endoh)
- Assignee set to tenderlovemaking (Aaron Patterson)

- Priority changed from 5 to Normal

=begin
Hi,

Aaron, what do you think about this ticket?

Yusuke Endoh mame@tsg.ne.jp

=end

#3 - 04/10/2010 07:39 PM - naruse (Yui NARUSE)

=begin

Is this really a bug?

There is no documentation and doesn't work;

it is considered that there was no such function.

So my understanding is, this should be feature request.

Yeah, such function seems useful, but | don't have how it should works.
=end

#4 - 04/11/2010 11:06 AM - mame (Yusuke Endoh)

- Target version set to 2.0.0
=begin

=end

#5 - 07/08/2010 08:07 AM - Anonymous
- Status changed from Open to Closed
- % Done changed from 0 to 100

=begin
This issue was solved with changeset r28573.
Anshul, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

=end
